curl --request POST \
--url https://api.notifique.dev/v1/instagram/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"username_ou_igsid"
],
"type": "text",
"payload": {
"message": "Olá!"
},
"from": "inst_abc"
}
'{
"success": true,
"data": {
"messageIds": [
"msg_abc"
],
"status": "QUEUED",
"count": 1
}
}Instagram: mensagens
Send Instagram message
Send a direct message to one or more recipients on Instagram. Write the text directly or use a template.
POST
/
v1
/
instagram
/
messages
curl --request POST \
--url https://api.notifique.dev/v1/instagram/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"username_ou_igsid"
],
"type": "text",
"payload": {
"message": "Olá!"
},
"from": "inst_abc"
}
'{
"success": true,
"data": {
"messageIds": [
"msg_abc"
],
"status": "QUEUED",
"count": 1
}
}Authorizations
ntfIgBearerAuthntfIgApiKeyHeader
Authorization: Bearer sk_live_...
Headers
Evita duplicar envio em retry.
Body
application/json
Username (com ou sem @) ou ID numérico (IGSID). Até 500 por chamada.
Required array length:
1 - 500 elementsExample:
["usuario_alvo"]
Available options:
text, image, video, audio, document, template text: message. Mídia: mediaUrl, mimetype, fileName e caption opcional. template: templateId e variables.
Show child attributes
Show child attributes
Instância Instagram: id ou nome.
Available options:
high, normal, low Required range:
0 <= x <= 5Show child attributes
Show child attributes
Was this page helpful?

